package node

import "github.com/prometheus/client_golang/prometheus"

var (
	streamSentBytes = prometheus.NewCounterVec(
		prometheus.CounterOpts{
			Name: "bytes_sent",
			Help: "Bytes proxied to the client, by stream.",
		},
		[]string{"stream"},
	)
	streamRcvdBytes = prometheus.NewCounterVec(
		prometheus.CounterOpts{
			Name: "bytes_received",
			Help: "Bytes received from the client, by stream.",
		},
		[]string{"stream"},
	)
	streamListeners = prometheus.NewGaugeVec(
		prometheus.GaugeOpts{
			Name: "listeners",
			Help: "Number of current listeners.",
		},
		[]string{"stream"},
	)
)

func init() {
	prometheus.MustRegister(
		streamSentBytes,
		streamRcvdBytes,
		streamListeners,
	)
}
